package com.inkasso.factoring.invoicemanage.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @Description : 发票管理-资金占用费信息表
 * @Author : liutao
 * @Date: 2022-3-22
 */
@TableName("c_invoice_possession_cost_info")
public class InvoicePossessionCostInfo extends BaseEntity {

    /**
     * 发票基础信息表ID
     **/
    @TableField(value = "c_invoice_basic_info_id")
    private Long invoiceBasicInfoId;
    /**
     * 资金占用费类型 0：无   1 ：有 货物加价款
     */
    @TableField(value = "possession_cost_type")
    private Long possessionCostType;
    /**
     * 资金占用费
     */
    @TableField(value = "possession_cost")
    private BigDecimal possessionCost;

    public InvoicePossessionCostInfo() {
    }

    public Long getInvoiceBasicInfoId() {
        return invoiceBasicInfoId;
    }

    public void setInvoiceBasicInfoId(Long invoiceBasicInfoId) {
        this.invoiceBasicInfoId = invoiceBasicInfoId;
    }

    public Long getPossessionCostType() {
        return possessionCostType;
    }

    public void setPossessionCostType(Long possessionCostType) {
        this.possessionCostType = possessionCostType;
    }

    public BigDecimal getPossessionCost() {
        return possessionCost;
    }

    public void setPossessionCost(BigDecimal possessionCost) {
        this.possessionCost = possessionCost;
    }
}
